/*
 * ScoreBoard.java
 *
 * Copyright 2007, 2008 by Fernando Lemes da Silva.
 * All rights reserved.
 * 
 * This file is part of SquidPCB project.
 * 
 * SquidPCB project is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * SquidPCB project is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with the SquidPCB package. If not, see <http://www.gnu.org/licenses/>.
 * 
 * [Begin of academic info]
 * 
 *     Instituto de Matemática e Estatística (IME-USP)
 *     MAC0499 - Trabalho de formatura supervisionado
 * 
 *     Projeto: 		SquidPCB - Squid-cache Pornography Content Blocker
 *     Aluno: 			Fernando Lemes da Silva (Nr.USP 2371843)
 *     Orientado por: 	Prof. Dr. Roberto Hirata Jr.
 *     Contato:			lemes at linux.ime.usp.br / ferlemes at gmail dot com
 *     Data:			20 de setembro de 2007
 *     
 * [End of academic info]
 */

package br.usp.ime.linux.lemes.WordSearch;

/**
 * This class is used only to have an score board to the WordSearch
 * object.
 * 
 * TODO: Check if there is another use to this object, maybe store
 * the words found by the WordSearch object. Otherwise I think that
 * is reasonable to replace this class with the Integer class.
 * 
 * @author Fernando Lemes da Silva
 * @version 0.1
 */
class ScoreBoard {
	
	// Where do we store the score
	private int score;
	
	/**
	 * Class constructor.
	 */
	public ScoreBoard() {
		
		this.score = 0;
		
	}
	
	/**
	 * Add points to score board.
	 * 
	 * @param points The points to add to score.
	 * @return The actual score.
	 */
	public int add(int points) {
		
		return (this.score += points);
		
	}
	
	/**
	 * Get the score.
	 * 
	 * @return The score value.
	 */
	public int value() {
		
		return this.score;
		
	}
	
	/**
	 * Reset the score board.
	 */
	public void reset() {
		
		this.score = 0;
		
	}
	
}
